export const getBase64FromWebp = async (webPath) => {
    // Fetch the photo, read as a blob, then convert to base64 format
    const response = await fetch(webPath);
    const blob = await response.blob();
    return await convertBlobToBase64(blob);
};
export const convertBlobToBase64 = (blob) => new Promise((resolve, reject) => {
    const reader = new FileReader();
    reader.onerror = reject;
    reader.onload = () => {
        resolve(reader.result);
    };
    reader.readAsDataURL(blob);
});
