import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useState, useEffect } from "react";
import { Stack, Card, CardHeader, Heading, CardBody, Text, Button } from "@chakra-ui/react";
import { Camera as CapacitorCamera } from "@capacitor/camera";
import { defineCustomElements } from '@ionic/pwa-elements/loader';
import { useCamera } from './use-camera';
import { useGallery } from './use-gallery';
import { downloadImages } from '../download-images';
import { isIOS, isAndroid } from "react-device-detect";
import { ImageCard } from "./image-card";
import { useContainer } from "./use-container";
export function Camera(deep) {
    const [images, setImages] = useState([]);
    const [cameraPermissions, setCameraPermissions] = useState(undefined);
    useEffect(() => {
        if (typeof (window) !== undefined) {
            defineCustomElements(window);
        }
        else
            getCameraPermissions();
    });
    const getCameraPermissions = async () => {
        const newCameraPermissions = await CapacitorCamera.requestPermissions();
        setCameraPermissions(newCameraPermissions);
    };
    const containerLinkId = useContainer(deep);
    const pickPhotosFromGallery = useGallery({ deep, containerLinkId });
    const newPhoto = useCamera({ deep, containerLinkId });
    return _jsxs(_Fragment, { children: [_jsxs(Stack, { children: [_jsxs(Card, { children: [_jsx(CardHeader, { children: _jsx(Heading, { children: "Permissions" }) }), !(isAndroid && isIOS)
                                ? null
                                : (_jsxs(CardBody, { children: [_jsx(Text, { children: `Camera Permissions are ${!cameraPermissions?.camera && 'not'} granted.` }), _jsx(Text, { children: `Gallery Permissions are ${!cameraPermissions?.photos && 'not'} granted.` }), _jsx(Button, { onClick: async () => await getCameraPermissions(), children: "REQUEST PERMISSIONS" })] }))] }), _jsx(Button, { onClick: newPhoto, children: _jsx(Text, { children: "USE CAMERA" }) }), _jsx(Button, { onClick: pickPhotosFromGallery, children: _jsx(Text, { children: "USE GALLERY" }) }), _jsx(Button, { onClick: async () => { const images = await downloadImages(deep); setImages(images); }, children: _jsx(Text, { children: "LOAD IMAGES" }) })] }), _jsx(Stack, { align: "center", direction: "column", children: images?.map((image) => _jsx(ImageCard, { image: image }, image.id)) })] });
}
