import { useEffect } from 'react';
import { useLocalStore } from '@deep-foundation/store/local';
import { takePhoto } from '../take-photo';
import { uploadPhotos } from '../upload-photos';
export const useCamera = ({ deep, containerLinkId, options }) => {
    const [photos, setPhotos] = useLocalStore('CameraPhotos', []);
    useEffect(() => {
        const upload = async () => {
            await uploadPhotos({ deep, containerLinkId, photos });
            setPhotos([]);
        };
        if (photos.length > 0)
            upload();
    }, [photos, deep]);
    const newPhoto = async () => {
        const photo = await takePhoto(options);
        setPhotos([...photos, photo]);
        return photo;
    };
    return newPhoto;
};
