import { useEffect } from 'react';
import { useLocalStore } from '@deep-foundation/store/local';
import { pickGalleryPhotos } from '../pick-photos';
import { uploadGallery } from '../upload-gallery';
export const useGallery = ({ deep, containerLinkId, options }) => {
    const [galleryPhotos, setGalleryPhotos] = useLocalStore("GalleryPhotos", []);
    useEffect(() => {
        const upload = async () => {
            await uploadGallery({ deep, containerLinkId, galleryPhotos });
            setGalleryPhotos([]);
        };
        if (galleryPhotos.length > 0) {
            upload();
        }
    }, [galleryPhotos, deep]);
    const pickPhotosFromGallery = async () => {
        const newGalleryPhotos = await pickGalleryPhotos();
        setGalleryPhotos([...galleryPhotos, ...newGalleryPhotos]);
    };
    return pickPhotosFromGallery;
};
